For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference - Partner API
      • POSTCreate an Onboarding
      • GETGet an Onboarding by Merchant Reference
      • GETGet an Onboarding by Onboarding ID
      • PUTUpdate an Onboarding
      • GETGet Activations
      • Capabilities
      • Channel
      • Owner
      • Business
      • Onboarding
      • PostOnboardingResponse
      • OnboardingPostPut
LogoLogo
Reference - Partner APIOnboardings

Get Activations

GET
/v1/onboardings/:onboardingId/activations
GET
/v1/onboardings/:onboardingId/activations
$curl https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/activations \
> -H "Accept: application/json" \
> -H "User-Agent: User-Agent"
1{
2 "status": "APPROVED",
3 "credentials": {
4 "merchantId": "123456789",
5 "merchantSecret": "123abc456def789ghi101112jkl1314mnop1124bdayaya29djsncmxxjxkx9236xu38djx8dn3gbd3m45n21n"
6 },
7 "configuration": {
8 "minimumAmount": {
9 "amount": "1.00",
10 "currency": "USD"
11 },
12 "maximumAmount": {
13 "amount": "4000.00",
14 "currency": "USD"
15 }
16 }
17}
Returns the onboarding status, merchant credentials, configuration details.
Was this page helpful?
Previous

Capabilities

Next
Built with

Path parameters

onboardingIdstringRequired
The ID that is returned during a successful Create an onboarding call.

Headers

User-AgentstringRequired
AcceptstringRequiredDefaults to application/json
Specifies media types that are acceptable for the response.

Response

Returns the onboarding status, merchant credentials, and configuration details.
statusstring
Approval status of the onboarding.
credentialsobject
configurationobject

Errors

401
Unauthorized Error
404
Not Found Error
503
Service Unavailable Error